PDA

View Full Version : Khronos conformance test



scornik
06-21-2009, 02:34 AM
Hello,
I am new at opengl | opengl ES . Recently trying to build khronos conformance api but it always showing me this error:

Running GTF (Graphics Test Framework)
egl_vendor: AMD EGL Emulator
egl_version: 1.3
ConfigID: 1 RGBA bits( 8, 8, 8, 8) Depth bits: 24 Stencil bits: 8
#+ error creating EGL Window surface
Regression PASSED all 0 tests.

the above error is generated from this code:

eglSurface = eglCreateWindowSurface(eglDisplay, eglConfig, nativeWindow, NULL);
if (eglSurface == EGL_NO_SURFACE)
{
GTFLogLogErrorMessage(GTFLogGetSingleton(), "GTFInitEGL", "error creating EGL Window surface");
return;
}

can anyone help me over here...
I am running Intel 945 series built-in graphics card with opengl 1.4 supported.

ZbuffeR
06-21-2009, 03:09 AM
from the AMD EGL Emulator page :
"Recommended hardware is ATI Radeon X1300 or higher. ATI Radeon 9500 is the minimum required hardware. Equivalent hardware from other vendors may work, but it is not tested."
This would mean GL 2.0 support needed. You might have a try with software rendering with Mesa instead of "hardware" rendering with low end intel.

scornik
06-21-2009, 08:35 PM
Thanks a lot for the info. i guess need to buy a graphics card !!

scornik
06-22-2009, 09:48 PM
I just tried this with GForce 7600 graphics card which worked just like charm.

The problem was many new opengl extensions are not supported by my X intel driver which only supports upto opengl 1.4. But the newly tried graphics card supports opengl 2.1.

Hope these infos will help in the future.